Summary:	Linux devices manager for the Logitech Unifying Receiver
Summary(pl.UTF-8):	Linuksowy menedżer urządzeń dedykowany zunifikowanym odbiornikom firmy Logitech
Name:		solaar
Version:	1.1.9
Release:	1
License:	GPL v2
Group:		Applications/System
Source0:	https://github.com/pwr-Solaar/Solaar/archive/refs/tags/%{version}.tar.gz
# Source0-md5:	b72d19e72c3dab585a8c84f40f2b2c4f
URL:		https://pwr-solaar.github.io/Solaar/
BuildRequires:	gettext-tools
BuildRequires:	python3-dbus
BuildRequires:	python3-modules
BuildRequires:	python3-pygobject3
BuildRequires:	python3-pyudev
BuildRequires:	python3-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 2.000
Requires:	python3-dbus
Requires:	python3-modules
Requires:	python3-pygobject3
Requires:	python3-pyudev
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Provides:	%{name}-gui = %{version}
Obsoletes:	solaar-gui < %{version}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Solaar is a Linux device manager for Logitech's Unifying Receiver
peripherals. It is able to pair/unpair devices to the receiver, and
for most devices read battery status.

It comes in two flavors, command-line and GUI. Both are able to list
the devices paired to a Unifying Receiver, show detailed info for each
device, and also pair/unpair supported devices with the receiver.

%description -l pl.UTF-8
Solarar to menedżer urządzeń dla systemu Linux dla urządzeń
peryferyjnych będących zunifikowanymi odbiornikami firmy Logitech.
Solaar Jest w stanie sparować/rozparować urządzenia z odbiornikiem, a
dla większości urządzeń również odczytać stan baterii.

Występuje w dwóch wersjach: wiersza poleceń i GUI. Oba są w stanie
wyświetlić listę urządzeń sparowanych z odbiornikiem, wyświetlić
szczegółowe informacje o każdym urządzeniu, a także
sparować/rozparować obsługiwane urządzenia z odbiornikiem.

%prep
%setup -q -n Solaar-%{version}

%build
%py3_build
sh tools/po-compile.sh

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/xdg/autostart/
install -d $RPM_BUILD_ROOT/lib/udev/rules.d
%{__sed} -i '1s,%{_bindir}/env python3,%{__python3},' tools/hidconsole

%py3_install

ln -sr $RPM_BUILD_ROOT%{_bindir}/{%{name},%{name}-cli}
install -pm755 tools/hidconsole $RPM_BUILD_ROOT%{_bindir}
install -pm644 share/autostart/solaar.desktop $RPM_BUILD_ROOT/etc/xdg/autostart/
%{__mv} $RPM_BUILD_ROOT%{_datadir}/solaar/udev-rules.d/42-logitech-unify-permissions.rules $RPM_BUILD_ROOT/lib/udev/rules.d/
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/solaar/udev-rules.d
#%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/rs
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%posttrans
# This is needed to apply permissions to existing devices when the package is installed.
/bin/udevadm trigger --subsystem-match=hidraw --action=add

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ChangeLog.md docs/*
%attr(755,root,root) %{_bindir}/hidconsole
%attr(755,root,root) %{_bindir}/solaar
%attr(755,root,root) %{_bindir}/solaar-cli
/etc/xdg/autostart/solaar.desktop
%dir %{py3_sitescriptdir}/hidapi
%{py3_sitescriptdir}/hidapi/*.py
%dir %{py3_sitescriptdir}/hidapi/__pycache__
%{py3_sitescriptdir}/hidapi/__pycache__/*.pyc
%dir %{py3_sitescriptdir}/keysyms
%{py3_sitescriptdir}/keysyms/*.py
%dir %{py3_sitescriptdir}/keysyms/__pycache__
%{py3_sitescriptdir}/keysyms/__pycache__/*.pyc
%dir %{py3_sitescriptdir}/logitech_receiver
%{py3_sitescriptdir}/logitech_receiver/*.py
%dir %{py3_sitescriptdir}/logitech_receiver/__pycache__
%{py3_sitescriptdir}/logitech_receiver/__pycache__/*.pyc
%dir %{py3_sitescriptdir}/solaar
%{py3_sitescriptdir}/solaar/*.py
%dir %{py3_sitescriptdir}/solaar/__pycache__
%{py3_sitescriptdir}/solaar/__pycache__/*.pyc
%dir %{py3_sitescriptdir}/solaar/cli
%{py3_sitescriptdir}/solaar/cli/*.py
%dir %{py3_sitescriptdir}/solaar/cli/__pycache__
%{py3_sitescriptdir}/solaar/cli/__pycache__/*.pyc
%dir %{py3_sitescriptdir}/solaar/ui
%{py3_sitescriptdir}/solaar/ui/*.py
%dir %{py3_sitescriptdir}/solaar/ui/__pycache__
%{py3_sitescriptdir}/solaar/ui/__pycache__/*.pyc
%{py3_sitescriptdir}/solaar/version
%{py3_sitescriptdir}/solaar-%{version}-py%{py3_ver}.egg-info
%{_datadir}/%{name}
%{_desktopdir}/solaar.desktop
%{_iconsdir}/hicolor/scalable/apps/solaar.svg
%{_datadir}/metainfo/io.github.pwr_solaar.solaar.metainfo.xml
/lib/udev/rules.d/42-logitech-unify-permissions.rules
%changelog
* Wed Apr 05 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/solaar.git;a=log;h=master

* Wed Apr 05 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 8b17abe
- up to 1.1.9

* Sun Dec 18 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 6ebc97d
- up to 1.1.8

* Thu Sep 15 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 1813fdc
- up to 1.1.5

* Mon Jul 04 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> ddeae0c
- up to 1.1.4

* Mon Apr 25 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 4c01515
- adapterize

* Mon Apr 25 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 3028037
- up to 1.1.3

* Tue Mar 29 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> c5703da
- Relup

* Tue Mar 29 2022 Jan Palus <atler@pld-linux.org> 1e6830a
- updated url

* Mon Mar 28 2022 Jan Rękorajski <baggins@pld-linux.org> 1ddbca1
- Release 2 (by relup.sh)

* Mon Mar 28 2022 Jan Rękorajski <baggins@pld-linux.org> d7f982e
- drop python3-distribute deps

* Mon Mar 28 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 117fa07
- up to 1.1.2

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 1dfe3d8
- rebuild with python 3.10

* Mon Dec 27 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> f19875e
- up to 1.1.1

* Fri Nov 26 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 4ac036c
- up to 1.1.0

* Thu Oct 28 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 0566322
- up to 1.0.7

* Tue Jun 29 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 117a917
- added solaar to system autostart

* Tue Jun 29 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 8723adb
- added Polish descriptions

* Tue Jun 29 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 8e482cf
- managing linguas in a proper way; adding hidconsole tool to the package

* Sat Jun 26 2021 Jan Rękorajski <baggins@pld-linux.org> 4311083
- use macros to install this in the proper place, rel 2

* Fri Jun 25 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> a31777b
- up to 1.0.6

